@import '../variables';

.course-wrapper {
  padding: 20px 21px;
  height: 100%;
  min-height: calc(100vh - 57px);
  position: relative;
  width: 100%;
  display: flex;
  flex-direction: column;
}

.course-label {
  color: $darkFontColor;
  span {
    font-size: 29px;
    font-weight: 800;
    display: flex;
    margin-bottom: 15px;
  }
  p {
    line-height: unset;
    margin-bottom: 0;
    margin-top: 0;
    letter-spacing: unset;
    font-size: 15px;
  }
}

.course-business-info {
  margin: 30px 0 25px 0;
  border-top: 1px solid $borderColor;
  border-bottom: 1px solid $borderColor;
  padding: 20px 0;
  p {
    line-height: unset;
    margin-bottom: 0;
    margin-top: 0;
    letter-spacing: unset;
  }
  .course-price, .course-theme {
    font-family: $FF_SSP;
    display: flex;
    justify-content: space-between;
  }
  .course-price {
    margin-bottom: 10px;
  }
  p {
    font-weight: 600;
    font-size: 16px;
    color: $blueColor;
  }
  span {
    font-size: 16px;
    color: $darkFontColor;
  }
}

.course-lessons {
  font-family: $FF_SSP;
  .label {
    font-size: 20px;
    color: $darkFontColor;
    font-weight: 600;
    margin-bottom: 20px;
    display: flex;
  }
  li {
    margin-bottom: 7px;
    &:last-child {
      margin-bottom: 110px;
    }
  }
  .course-lessons-element {
    background: #F4F6F9;
    padding: 10.5px 14px;
    display: flex;
    align-items: center;
    border-radius: 10px;
    svg {
      width: 20px;
      height: 20px;
      margin-right: 10px;
    }

    &:hover {
      background-color: darken(#F4F6F9, 5%);
    }
  }
}

.course-order {
  display: flex;
  align-items: center;
  position: fixed;
  bottom: 50px;
  align-self: center;
  justify-content: center;
  background: $blueColor;
  border: none;
  padding: 13px 0;
  color: $lightFontColor;
  width: calc(100% - 58px);
  border-radius: 30px;
  font-size: 18px;
  font-weight: 600;
  box-shadow: 0px 0px 10px rgba(41, 114, 254, 0.4);
  font-family: $FF_M;
  margin-top: 25px;
}
